%define upstream_name    Perl6-Perldoc
%define upstream_version 0.000009

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Add a to_xhtml() method to Perl6::Perldoc::Parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Perl6/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Filter::Simple)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::More)
BuildRequires: perl(version)
BuildArch:  noarch

%description
This module preprocesses your code from the point at which the module is
first used, stripping out any Perl 6 documentation (as specified in
Synopsis 26).

This means that, so long as your program starts with:

    use Perl6::Perldoc;

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.0.9-2.mga3
+ Revision: 371758
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.0.9-1.mga3
+ Revision: 342481
- update to 0.000009

* Fri Aug 31 2012 kharec <kharec> 0.0.8-1.mga3
+ Revision: 286398
- update to 0.000008

* Wed Nov 09 2011 jquelin <jquelin> 0.0.7-1.mga2
+ Revision: 165805
- update to 0.000007

* Sat Jan 22 2011 jquelin <jquelin> 0.0.5-2.mga1
+ Revision: 32335
- mageia rebuild
- imported package perl-Perl6-Perldoc

